
_Set_up:

;main_74hc595_8bit.c,10 :: 		void Set_up() {
;main_74hc595_8bit.c,12 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;main_74hc595_8bit.c,13 :: 		ANSELH = 0;      // the rest of the pins set as digital Inputs or outputs.
	CLRF       ANSELH+0
;main_74hc595_8bit.c,14 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;main_74hc595_8bit.c,15 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;main_74hc595_8bit.c,16 :: 		TRISB=0;
	CLRF       TRISB+0
;main_74hc595_8bit.c,17 :: 		PORTB=0;
	CLRF       PORTB+0
;main_74hc595_8bit.c,18 :: 		LCD_Init();
	CALL       _LCD_Init+0
;main_74hc595_8bit.c,19 :: 		}
L_end_Set_up:
	RETURN
; end of _Set_up

_main:

;main_74hc595_8bit.c,22 :: 		void main() {
;main_74hc595_8bit.c,23 :: 		Set_up() ;
	CALL       _Set_up+0
;main_74hc595_8bit.c,24 :: 		LCD_String_xy (1, 1, "HELLO WORLD");
	MOVLW      1
	MOVWF      FARG_LCD_String_xy_row+0
	MOVLW      1
	MOVWF      FARG_LCD_String_xy_pos+0
	MOVLW      ?lstr1_main_74hc595_8bit+0
	MOVWF      FARG_LCD_String_xy_str+0
	CALL       _LCD_String_xy+0
;main_74hc595_8bit.c,25 :: 		LCD_String_xy (2, 1 ,"MONTERREY");
	MOVLW      2
	MOVWF      FARG_LCD_String_xy_row+0
	MOVLW      1
	MOVWF      FARG_LCD_String_xy_pos+0
	MOVLW      ?lstr2_main_74hc595_8bit+0
	MOVWF      FARG_LCD_String_xy_str+0
	CALL       _LCD_String_xy+0
;main_74hc595_8bit.c,26 :: 		delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_main0:
	DECFSZ     R13+0, 1
	GOTO       L_main0
	DECFSZ     R12+0, 1
	GOTO       L_main0
	DECFSZ     R11+0, 1
	GOTO       L_main0
	NOP
;main_74hc595_8bit.c,27 :: 		LCD_Command(LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_LCD_Command_data1+0
	CALL       _LCD_Command+0
;main_74hc595_8bit.c,28 :: 		LCD_String_xy(1,4,"COUNTER");
	MOVLW      1
	MOVWF      FARG_LCD_String_xy_row+0
	MOVLW      4
	MOVWF      FARG_LCD_String_xy_pos+0
	MOVLW      ?lstr3_main_74hc595_8bit+0
	MOVWF      FARG_LCD_String_xy_str+0
	CALL       _LCD_String_xy+0
;main_74hc595_8bit.c,29 :: 		do {
L_main1:
;main_74hc595_8bit.c,30 :: 		for(count=0; count<=1000; count++) {
	CLRF       _count+0
	CLRF       _count+1
L_main4:
	MOVF       _count+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main14
	MOVF       _count+0, 0
	SUBLW      232
L__main14:
	BTFSS      STATUS+0, 0
	GOTO       L_main5
;main_74hc595_8bit.c,31 :: 		for(env=0; env<=3; env++) {
	CLRF       _env+0
L_main7:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      _env+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main8
;main_74hc595_8bit.c,32 :: 		num[0] =  count/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _num+0
;main_74hc595_8bit.c,33 :: 		num[1] = (count/100)%10;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _num+1
;main_74hc595_8bit.c,34 :: 		num[2] = (count/10)%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _num+2
;main_74hc595_8bit.c,35 :: 		num[3] =  count%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _num+3
;main_74hc595_8bit.c,36 :: 		LCD_Char_xy(2,aux,num[env]+48);
	MOVLW      2
	MOVWF      FARG_LCD_Char_xy_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_LCD_Char_xy_pos+0
	MOVF       _env+0, 0
	ADDLW      _num+0
	MOVWF      FSR
	MOVLW      48
	ADDWF      INDF+0, 0
	MOVWF      FARG_LCD_Char_xy_ch+0
	CALL       _LCD_Char_xy+0
;main_74hc595_8bit.c,37 :: 		aux++;
	INCF       _aux+0, 1
;main_74hc595_8bit.c,38 :: 		if(aux>8)aux=5;
	MOVF       _aux+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L_main10
	MOVLW      5
	MOVWF      _aux+0
L_main10:
;main_74hc595_8bit.c,31 :: 		for(env=0; env<=3; env++) {
	INCF       _env+0, 1
;main_74hc595_8bit.c,39 :: 		}
	GOTO       L_main7
L_main8:
;main_74hc595_8bit.c,40 :: 		PORTB.F7=~PORTB.F7;
	MOVLW      128
	XORWF      PORTB+0, 1
;main_74hc595_8bit.c,41 :: 		delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main11:
	DECFSZ     R13+0, 1
	GOTO       L_main11
	DECFSZ     R12+0, 1
	GOTO       L_main11
	DECFSZ     R11+0, 1
	GOTO       L_main11
	NOP
	NOP
;main_74hc595_8bit.c,30 :: 		for(count=0; count<=1000; count++) {
	INCF       _count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _count+1, 1
;main_74hc595_8bit.c,42 :: 		}
	GOTO       L_main4
L_main5:
;main_74hc595_8bit.c,43 :: 		} while(1);
	GOTO       L_main1
;main_74hc595_8bit.c,44 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
